<button 
    *ngIf="hasBackButton"
    class="back-button"
    (click)="backButtonClicked()"
>
    <i class="icon-arrow-left"></i>
</button>
<h1 *ngIf="title">
    {{title}}
</h1>
<button 
    *ngIf="actionButtonIcon"
    class="action-button"
    (click)="actionButtonClicked()"
>
    <i 
        [class]="'icon-' + actionButtonIcon"
    ></i>
</button>
<button 
    *ngIf="userButtonImgSrc"
    class="user-button"
    (click)="userButtonClicked()"
>
    <img 
        [src]="userButtonImgSrc" 
        alt="user image"
    />
</button>